Incompatible Mods

Apr 14, 2017
Incompatible Mods
  • These are Minecraft Mods submitted for approval, but will not work on Empire Minecraft. This includes mods that are geared specifically towards Single Player or mods that require a server side plugin which we won't be installing.

    Due to these mods not working completely on EMC, it is acceptable to have them installed since they won't work on the EMC servers. Go to the Approved Mods page to view Mods the Empire Minecraft Staff has approved for installing and using on the servers.
    EMC allows modifications that don't give an unfair advantage over others.

Looking for a more general Minecraft guide? Visit Minecraftopia!